<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SyncActionValue extends \Google\Protobuf\Internal\Message
{
    


    protected $timestamp = null;
    


    protected $starAction = null;
    


    protected $contactAction = null;
    


    protected $muteAction = null;
    


    protected $pinAction = null;
    


    protected $pushNameSetting = null;
    


    protected $quickReplyAction = null;
    


    protected $recentEmojiWeightsAction = null;
    


    protected $labelEditAction = null;
    


    protected $labelAssociationAction = null;
    


    protected $localeSetting = null;
    


    protected $archiveChatAction = null;
    


    protected $deleteMessageForMeAction = null;
    


    protected $keyExpiration = null;
    


    protected $markChatAsReadAction = null;
    


    protected $clearChatAction = null;
    


    protected $deleteChatAction = null;
    


    protected $unarchiveChatsSetting = null;
    


    protected $primaryFeature = null;
    


    protected $androidUnsupportedActions = null;
    


    protected $agentAction = null;
    


    protected $subscriptionAction = null;
    


    protected $userStatusMuteAction = null;
    


    protected $timeFormatAction = null;
    


    protected $nuxAction = null;
    


    protected $primaryVersionAction = null;
    


    protected $stickerAction = null;
    


    protected $removeRecentStickerAction = null;
    


    protected $chatAssignment = null;
    


    protected $chatAssignmentOpenedStatus = null;
    


    protected $pnForLidChatAction = null;
    


    protected $marketingMessageAction = null;
    


    protected $marketingMessageBroadcastAction = null;
    


    protected $externalWebBetaAction = null;
    


    protected $privacySettingRelayAllCalls = null;
    


    protected $callLogAction = null;
    


    protected $ugcBot = null;
    


    protected $statusPrivacy = null;
    


    protected $botWelcomeRequestAction = null;
    


    protected $deleteIndividualCallLog = null;
    


    protected $labelReorderingAction = null;
    


    protected $paymentInfoAction = null;
    


    protected $customPaymentMethodsAction = null;
    


    protected $lockChatAction = null;
    


    protected $chatLockSettings = null;
    


    protected $wamoUserIdentifierAction = null;
    


    protected $privacySettingDisableLinkPreviewsAction = null;
    


    protected $deviceCapabilities = null;
    


    protected $noteEditAction = null;
    


    protected $favoritesAction = null;
    


    protected $merchantPaymentPartnerAction = null;
    


    protected $waffleAccountLinkStateAction = null;
    


    protected $usernameChatStartMode = null;
    


    protected $notificationActivitySettingAction = null;
    


    protected $lidContactAction = null;
    


    protected $ctwaPerCustomerDataSharingAction = null;
    


    protected $paymentTosAction = null;
    


    protected $privacySettingChannelsPersonalisedRecommendationAction = null;
    


    protected $businessBroadcastAssociationAction = null;
    


    protected $detectedOutcomesStatusAction = null;
    


    protected $maibaAiFeaturesControlAction = null;
    


    protected $businessBroadcastListAction = null;
    


    protected $musicUserIdAction = null;
    


    protected $statusPostOptInNotificationPreferencesAction = null;
    


    protected $avatarUpdatedAction = null;
    


    protected $privateProcessingSettingAction = null;
    


    protected $newsletterSavedInterestsAction = null;
    


    protected $aiThreadRenameAction = null;
    


    protected $interactiveMessageAction = null;

    












































































    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTimestamp()
    {
        return isset($this->timestamp) ? $this->timestamp : 0;
    }

    public function hasTimestamp()
    {
        return isset($this->timestamp);
    }

    public function clearTimestamp()
    {
        unset($this->timestamp);
    }

    




    public function setTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->timestamp = $var;

        return $this;
    }

    



    public function getStarAction()
    {
        return $this->starAction;
    }

    public function hasStarAction()
    {
        return isset($this->starAction);
    }

    public function clearStarAction()
    {
        unset($this->starAction);
    }

    




    public function setStarAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\StarAction::class);
        $this->starAction = $var;

        return $this;
    }

    



    public function getContactAction()
    {
        return $this->contactAction;
    }

    public function hasContactAction()
    {
        return isset($this->contactAction);
    }

    public function clearContactAction()
    {
        unset($this->contactAction);
    }

    




    public function setContactAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\ContactAction::class);
        $this->contactAction = $var;

        return $this;
    }

    



    public function getMuteAction()
    {
        return $this->muteAction;
    }

    public function hasMuteAction()
    {
        return isset($this->muteAction);
    }

    public function clearMuteAction()
    {
        unset($this->muteAction);
    }

    




    public function setMuteAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MuteAction::class);
        $this->muteAction = $var;

        return $this;
    }

    



    public function getPinAction()
    {
        return $this->pinAction;
    }

    public function hasPinAction()
    {
        return isset($this->pinAction);
    }

    public function clearPinAction()
    {
        unset($this->pinAction);
    }

    




    public function setPinAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PinAction::class);
        $this->pinAction = $var;

        return $this;
    }

    



    public function getPushNameSetting()
    {
        return $this->pushNameSetting;
    }

    public function hasPushNameSetting()
    {
        return isset($this->pushNameSetting);
    }

    public function clearPushNameSetting()
    {
        unset($this->pushNameSetting);
    }

    




    public function setPushNameSetting($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PushNameSetting::class);
        $this->pushNameSetting = $var;

        return $this;
    }

    



    public function getQuickReplyAction()
    {
        return $this->quickReplyAction;
    }

    public function hasQuickReplyAction()
    {
        return isset($this->quickReplyAction);
    }

    public function clearQuickReplyAction()
    {
        unset($this->quickReplyAction);
    }

    




    public function setQuickReplyAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\QuickReplyAction::class);
        $this->quickReplyAction = $var;

        return $this;
    }

    



    public function getRecentEmojiWeightsAction()
    {
        return $this->recentEmojiWeightsAction;
    }

    public function hasRecentEmojiWeightsAction()
    {
        return isset($this->recentEmojiWeightsAction);
    }

    public function clearRecentEmojiWeightsAction()
    {
        unset($this->recentEmojiWeightsAction);
    }

    




    public function setRecentEmojiWeightsAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\RecentEmojiWeightsAction::class);
        $this->recentEmojiWeightsAction = $var;

        return $this;
    }

    



    public function getLabelEditAction()
    {
        return $this->labelEditAction;
    }

    public function hasLabelEditAction()
    {
        return isset($this->labelEditAction);
    }

    public function clearLabelEditAction()
    {
        unset($this->labelEditAction);
    }

    




    public function setLabelEditAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\LabelEditAction::class);
        $this->labelEditAction = $var;

        return $this;
    }

    



    public function getLabelAssociationAction()
    {
        return $this->labelAssociationAction;
    }

    public function hasLabelAssociationAction()
    {
        return isset($this->labelAssociationAction);
    }

    public function clearLabelAssociationAction()
    {
        unset($this->labelAssociationAction);
    }

    




    public function setLabelAssociationAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\LabelAssociationAction::class);
        $this->labelAssociationAction = $var;

        return $this;
    }

    



    public function getLocaleSetting()
    {
        return $this->localeSetting;
    }

    public function hasLocaleSetting()
    {
        return isset($this->localeSetting);
    }

    public function clearLocaleSetting()
    {
        unset($this->localeSetting);
    }

    




    public function setLocaleSetting($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\LocaleSetting::class);
        $this->localeSetting = $var;

        return $this;
    }

    



    public function getArchiveChatAction()
    {
        return $this->archiveChatAction;
    }

    public function hasArchiveChatAction()
    {
        return isset($this->archiveChatAction);
    }

    public function clearArchiveChatAction()
    {
        unset($this->archiveChatAction);
    }

    




    public function setArchiveChatAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\ArchiveChatAction::class);
        $this->archiveChatAction = $var;

        return $this;
    }

    



    public function getDeleteMessageForMeAction()
    {
        return $this->deleteMessageForMeAction;
    }

    public function hasDeleteMessageForMeAction()
    {
        return isset($this->deleteMessageForMeAction);
    }

    public function clearDeleteMessageForMeAction()
    {
        unset($this->deleteMessageForMeAction);
    }

    




    public function setDeleteMessageForMeAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\DeleteMessageForMeAction::class);
        $this->deleteMessageForMeAction = $var;

        return $this;
    }

    



    public function getKeyExpiration()
    {
        return $this->keyExpiration;
    }

    public function hasKeyExpiration()
    {
        return isset($this->keyExpiration);
    }

    public function clearKeyExpiration()
    {
        unset($this->keyExpiration);
    }

    




    public function setKeyExpiration($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\KeyExpiration::class);
        $this->keyExpiration = $var;

        return $this;
    }

    



    public function getMarkChatAsReadAction()
    {
        return $this->markChatAsReadAction;
    }

    public function hasMarkChatAsReadAction()
    {
        return isset($this->markChatAsReadAction);
    }

    public function clearMarkChatAsReadAction()
    {
        unset($this->markChatAsReadAction);
    }

    




    public function setMarkChatAsReadAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MarkChatAsReadAction::class);
        $this->markChatAsReadAction = $var;

        return $this;
    }

    



    public function getClearChatAction()
    {
        return $this->clearChatAction;
    }

    public function hasClearChatAction()
    {
        return isset($this->clearChatAction);
    }

    public function clearClearChatAction()
    {
        unset($this->clearChatAction);
    }

    




    public function setClearChatAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\ClearChatAction::class);
        $this->clearChatAction = $var;

        return $this;
    }

    



    public function getDeleteChatAction()
    {
        return $this->deleteChatAction;
    }

    public function hasDeleteChatAction()
    {
        return isset($this->deleteChatAction);
    }

    public function clearDeleteChatAction()
    {
        unset($this->deleteChatAction);
    }

    




    public function setDeleteChatAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\DeleteChatAction::class);
        $this->deleteChatAction = $var;

        return $this;
    }

    



    public function getUnarchiveChatsSetting()
    {
        return $this->unarchiveChatsSetting;
    }

    public function hasUnarchiveChatsSetting()
    {
        return isset($this->unarchiveChatsSetting);
    }

    public function clearUnarchiveChatsSetting()
    {
        unset($this->unarchiveChatsSetting);
    }

    




    public function setUnarchiveChatsSetting($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\UnarchiveChatsSetting::class);
        $this->unarchiveChatsSetting = $var;

        return $this;
    }

    



    public function getPrimaryFeature()
    {
        return $this->primaryFeature;
    }

    public function hasPrimaryFeature()
    {
        return isset($this->primaryFeature);
    }

    public function clearPrimaryFeature()
    {
        unset($this->primaryFeature);
    }

    




    public function setPrimaryFeature($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PrimaryFeature::class);
        $this->primaryFeature = $var;

        return $this;
    }

    



    public function getAndroidUnsupportedActions()
    {
        return $this->androidUnsupportedActions;
    }

    public function hasAndroidUnsupportedActions()
    {
        return isset($this->androidUnsupportedActions);
    }

    public function clearAndroidUnsupportedActions()
    {
        unset($this->androidUnsupportedActions);
    }

    




    public function setAndroidUnsupportedActions($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\AndroidUnsupportedActions::class);
        $this->androidUnsupportedActions = $var;

        return $this;
    }

    



    public function getAgentAction()
    {
        return $this->agentAction;
    }

    public function hasAgentAction()
    {
        return isset($this->agentAction);
    }

    public function clearAgentAction()
    {
        unset($this->agentAction);
    }

    




    public function setAgentAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\AgentAction::class);
        $this->agentAction = $var;

        return $this;
    }

    



    public function getSubscriptionAction()
    {
        return $this->subscriptionAction;
    }

    public function hasSubscriptionAction()
    {
        return isset($this->subscriptionAction);
    }

    public function clearSubscriptionAction()
    {
        unset($this->subscriptionAction);
    }

    




    public function setSubscriptionAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\SubscriptionAction::class);
        $this->subscriptionAction = $var;

        return $this;
    }

    



    public function getUserStatusMuteAction()
    {
        return $this->userStatusMuteAction;
    }

    public function hasUserStatusMuteAction()
    {
        return isset($this->userStatusMuteAction);
    }

    public function clearUserStatusMuteAction()
    {
        unset($this->userStatusMuteAction);
    }

    




    public function setUserStatusMuteAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\UserStatusMuteAction::class);
        $this->userStatusMuteAction = $var;

        return $this;
    }

    



    public function getTimeFormatAction()
    {
        return $this->timeFormatAction;
    }

    public function hasTimeFormatAction()
    {
        return isset($this->timeFormatAction);
    }

    public function clearTimeFormatAction()
    {
        unset($this->timeFormatAction);
    }

    




    public function setTimeFormatAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\TimeFormatAction::class);
        $this->timeFormatAction = $var;

        return $this;
    }

    



    public function getNuxAction()
    {
        return $this->nuxAction;
    }

    public function hasNuxAction()
    {
        return isset($this->nuxAction);
    }

    public function clearNuxAction()
    {
        unset($this->nuxAction);
    }

    




    public function setNuxAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\NuxAction::class);
        $this->nuxAction = $var;

        return $this;
    }

    



    public function getPrimaryVersionAction()
    {
        return $this->primaryVersionAction;
    }

    public function hasPrimaryVersionAction()
    {
        return isset($this->primaryVersionAction);
    }

    public function clearPrimaryVersionAction()
    {
        unset($this->primaryVersionAction);
    }

    




    public function setPrimaryVersionAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PrimaryVersionAction::class);
        $this->primaryVersionAction = $var;

        return $this;
    }

    



    public function getStickerAction()
    {
        return $this->stickerAction;
    }

    public function hasStickerAction()
    {
        return isset($this->stickerAction);
    }

    public function clearStickerAction()
    {
        unset($this->stickerAction);
    }

    




    public function setStickerAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\StickerAction::class);
        $this->stickerAction = $var;

        return $this;
    }

    



    public function getRemoveRecentStickerAction()
    {
        return $this->removeRecentStickerAction;
    }

    public function hasRemoveRecentStickerAction()
    {
        return isset($this->removeRecentStickerAction);
    }

    public function clearRemoveRecentStickerAction()
    {
        unset($this->removeRecentStickerAction);
    }

    




    public function setRemoveRecentStickerAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\RemoveRecentStickerAction::class);
        $this->removeRecentStickerAction = $var;

        return $this;
    }

    



    public function getChatAssignment()
    {
        return $this->chatAssignment;
    }

    public function hasChatAssignment()
    {
        return isset($this->chatAssignment);
    }

    public function clearChatAssignment()
    {
        unset($this->chatAssignment);
    }

    




    public function setChatAssignment($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\ChatAssignmentAction::class);
        $this->chatAssignment = $var;

        return $this;
    }

    



    public function getChatAssignmentOpenedStatus()
    {
        return $this->chatAssignmentOpenedStatus;
    }

    public function hasChatAssignmentOpenedStatus()
    {
        return isset($this->chatAssignmentOpenedStatus);
    }

    public function clearChatAssignmentOpenedStatus()
    {
        unset($this->chatAssignmentOpenedStatus);
    }

    




    public function setChatAssignmentOpenedStatus($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\ChatAssignmentOpenedStatusAction::class);
        $this->chatAssignmentOpenedStatus = $var;

        return $this;
    }

    



    public function getPnForLidChatAction()
    {
        return $this->pnForLidChatAction;
    }

    public function hasPnForLidChatAction()
    {
        return isset($this->pnForLidChatAction);
    }

    public function clearPnForLidChatAction()
    {
        unset($this->pnForLidChatAction);
    }

    




    public function setPnForLidChatAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PnForLidChatAction::class);
        $this->pnForLidChatAction = $var;

        return $this;
    }

    



    public function getMarketingMessageAction()
    {
        return $this->marketingMessageAction;
    }

    public function hasMarketingMessageAction()
    {
        return isset($this->marketingMessageAction);
    }

    public function clearMarketingMessageAction()
    {
        unset($this->marketingMessageAction);
    }

    




    public function setMarketingMessageAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MarketingMessageAction::class);
        $this->marketingMessageAction = $var;

        return $this;
    }

    



    public function getMarketingMessageBroadcastAction()
    {
        return $this->marketingMessageBroadcastAction;
    }

    public function hasMarketingMessageBroadcastAction()
    {
        return isset($this->marketingMessageBroadcastAction);
    }

    public function clearMarketingMessageBroadcastAction()
    {
        unset($this->marketingMessageBroadcastAction);
    }

    




    public function setMarketingMessageBroadcastAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MarketingMessageBroadcastAction::class);
        $this->marketingMessageBroadcastAction = $var;

        return $this;
    }

    



    public function getExternalWebBetaAction()
    {
        return $this->externalWebBetaAction;
    }

    public function hasExternalWebBetaAction()
    {
        return isset($this->externalWebBetaAction);
    }

    public function clearExternalWebBetaAction()
    {
        unset($this->externalWebBetaAction);
    }

    




    public function setExternalWebBetaAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\ExternalWebBetaAction::class);
        $this->externalWebBetaAction = $var;

        return $this;
    }

    



    public function getPrivacySettingRelayAllCalls()
    {
        return $this->privacySettingRelayAllCalls;
    }

    public function hasPrivacySettingRelayAllCalls()
    {
        return isset($this->privacySettingRelayAllCalls);
    }

    public function clearPrivacySettingRelayAllCalls()
    {
        unset($this->privacySettingRelayAllCalls);
    }

    




    public function setPrivacySettingRelayAllCalls($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PrivacySettingRelayAllCalls::class);
        $this->privacySettingRelayAllCalls = $var;

        return $this;
    }

    



    public function getCallLogAction()
    {
        return $this->callLogAction;
    }

    public function hasCallLogAction()
    {
        return isset($this->callLogAction);
    }

    public function clearCallLogAction()
    {
        unset($this->callLogAction);
    }

    




    public function setCallLogAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\CallLogAction::class);
        $this->callLogAction = $var;

        return $this;
    }

    



    public function getUgcBot()
    {
        return $this->ugcBot;
    }

    public function hasUgcBot()
    {
        return isset($this->ugcBot);
    }

    public function clearUgcBot()
    {
        unset($this->ugcBot);
    }

    




    public function setUgcBot($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\UGCBot::class);
        $this->ugcBot = $var;

        return $this;
    }

    



    public function getStatusPrivacy()
    {
        return $this->statusPrivacy;
    }

    public function hasStatusPrivacy()
    {
        return isset($this->statusPrivacy);
    }

    public function clearStatusPrivacy()
    {
        unset($this->statusPrivacy);
    }

    




    public function setStatusPrivacy($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\StatusPrivacyAction::class);
        $this->statusPrivacy = $var;

        return $this;
    }

    



    public function getBotWelcomeRequestAction()
    {
        return $this->botWelcomeRequestAction;
    }

    public function hasBotWelcomeRequestAction()
    {
        return isset($this->botWelcomeRequestAction);
    }

    public function clearBotWelcomeRequestAction()
    {
        unset($this->botWelcomeRequestAction);
    }

    




    public function setBotWelcomeRequestAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\BotWelcomeRequestAction::class);
        $this->botWelcomeRequestAction = $var;

        return $this;
    }

    



    public function getDeleteIndividualCallLog()
    {
        return $this->deleteIndividualCallLog;
    }

    public function hasDeleteIndividualCallLog()
    {
        return isset($this->deleteIndividualCallLog);
    }

    public function clearDeleteIndividualCallLog()
    {
        unset($this->deleteIndividualCallLog);
    }

    




    public function setDeleteIndividualCallLog($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\DeleteIndividualCallLogAction::class);
        $this->deleteIndividualCallLog = $var;

        return $this;
    }

    



    public function getLabelReorderingAction()
    {
        return $this->labelReorderingAction;
    }

    public function hasLabelReorderingAction()
    {
        return isset($this->labelReorderingAction);
    }

    public function clearLabelReorderingAction()
    {
        unset($this->labelReorderingAction);
    }

    




    public function setLabelReorderingAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\LabelReorderingAction::class);
        $this->labelReorderingAction = $var;

        return $this;
    }

    



    public function getPaymentInfoAction()
    {
        return $this->paymentInfoAction;
    }

    public function hasPaymentInfoAction()
    {
        return isset($this->paymentInfoAction);
    }

    public function clearPaymentInfoAction()
    {
        unset($this->paymentInfoAction);
    }

    




    public function setPaymentInfoAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PaymentInfoAction::class);
        $this->paymentInfoAction = $var;

        return $this;
    }

    



    public function getCustomPaymentMethodsAction()
    {
        return $this->customPaymentMethodsAction;
    }

    public function hasCustomPaymentMethodsAction()
    {
        return isset($this->customPaymentMethodsAction);
    }

    public function clearCustomPaymentMethodsAction()
    {
        unset($this->customPaymentMethodsAction);
    }

    




    public function setCustomPaymentMethodsAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\CustomPaymentMethodsAction::class);
        $this->customPaymentMethodsAction = $var;

        return $this;
    }

    



    public function getLockChatAction()
    {
        return $this->lockChatAction;
    }

    public function hasLockChatAction()
    {
        return isset($this->lockChatAction);
    }

    public function clearLockChatAction()
    {
        unset($this->lockChatAction);
    }

    




    public function setLockChatAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\LockChatAction::class);
        $this->lockChatAction = $var;

        return $this;
    }

    



    public function getChatLockSettings()
    {
        return $this->chatLockSettings;
    }

    public function hasChatLockSettings()
    {
        return isset($this->chatLockSettings);
    }

    public function clearChatLockSettings()
    {
        unset($this->chatLockSettings);
    }

    




    public function setChatLockSettings($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ChatLockSettings::class);
        $this->chatLockSettings = $var;

        return $this;
    }

    



    public function getWamoUserIdentifierAction()
    {
        return $this->wamoUserIdentifierAction;
    }

    public function hasWamoUserIdentifierAction()
    {
        return isset($this->wamoUserIdentifierAction);
    }

    public function clearWamoUserIdentifierAction()
    {
        unset($this->wamoUserIdentifierAction);
    }

    




    public function setWamoUserIdentifierAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\WamoUserIdentifierAction::class);
        $this->wamoUserIdentifierAction = $var;

        return $this;
    }

    



    public function getPrivacySettingDisableLinkPreviewsAction()
    {
        return $this->privacySettingDisableLinkPreviewsAction;
    }

    public function hasPrivacySettingDisableLinkPreviewsAction()
    {
        return isset($this->privacySettingDisableLinkPreviewsAction);
    }

    public function clearPrivacySettingDisableLinkPreviewsAction()
    {
        unset($this->privacySettingDisableLinkPreviewsAction);
    }

    




    public function setPrivacySettingDisableLinkPreviewsAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PrivacySettingDisableLinkPreviewsAction::class);
        $this->privacySettingDisableLinkPreviewsAction = $var;

        return $this;
    }

    



    public function getDeviceCapabilities()
    {
        return $this->deviceCapabilities;
    }

    public function hasDeviceCapabilities()
    {
        return isset($this->deviceCapabilities);
    }

    public function clearDeviceCapabilities()
    {
        unset($this->deviceCapabilities);
    }

    




    public function setDeviceCapabilities($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\DeviceCapabilities::class);
        $this->deviceCapabilities = $var;

        return $this;
    }

    



    public function getNoteEditAction()
    {
        return $this->noteEditAction;
    }

    public function hasNoteEditAction()
    {
        return isset($this->noteEditAction);
    }

    public function clearNoteEditAction()
    {
        unset($this->noteEditAction);
    }

    




    public function setNoteEditAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\NoteEditAction::class);
        $this->noteEditAction = $var;

        return $this;
    }

    



    public function getFavoritesAction()
    {
        return $this->favoritesAction;
    }

    public function hasFavoritesAction()
    {
        return isset($this->favoritesAction);
    }

    public function clearFavoritesAction()
    {
        unset($this->favoritesAction);
    }

    




    public function setFavoritesAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\FavoritesAction::class);
        $this->favoritesAction = $var;

        return $this;
    }

    



    public function getMerchantPaymentPartnerAction()
    {
        return $this->merchantPaymentPartnerAction;
    }

    public function hasMerchantPaymentPartnerAction()
    {
        return isset($this->merchantPaymentPartnerAction);
    }

    public function clearMerchantPaymentPartnerAction()
    {
        unset($this->merchantPaymentPartnerAction);
    }

    




    public function setMerchantPaymentPartnerAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MerchantPaymentPartnerAction::class);
        $this->merchantPaymentPartnerAction = $var;

        return $this;
    }

    



    public function getWaffleAccountLinkStateAction()
    {
        return $this->waffleAccountLinkStateAction;
    }

    public function hasWaffleAccountLinkStateAction()
    {
        return isset($this->waffleAccountLinkStateAction);
    }

    public function clearWaffleAccountLinkStateAction()
    {
        unset($this->waffleAccountLinkStateAction);
    }

    




    public function setWaffleAccountLinkStateAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\WaffleAccountLinkStateAction::class);
        $this->waffleAccountLinkStateAction = $var;

        return $this;
    }

    



    public function getUsernameChatStartMode()
    {
        return $this->usernameChatStartMode;
    }

    public function hasUsernameChatStartMode()
    {
        return isset($this->usernameChatStartMode);
    }

    public function clearUsernameChatStartMode()
    {
        unset($this->usernameChatStartMode);
    }

    




    public function setUsernameChatStartMode($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\UsernameChatStartModeAction::class);
        $this->usernameChatStartMode = $var;

        return $this;
    }

    



    public function getNotificationActivitySettingAction()
    {
        return $this->notificationActivitySettingAction;
    }

    public function hasNotificationActivitySettingAction()
    {
        return isset($this->notificationActivitySettingAction);
    }

    public function clearNotificationActivitySettingAction()
    {
        unset($this->notificationActivitySettingAction);
    }

    




    public function setNotificationActivitySettingAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\NotificationActivitySettingAction::class);
        $this->notificationActivitySettingAction = $var;

        return $this;
    }

    



    public function getLidContactAction()
    {
        return $this->lidContactAction;
    }

    public function hasLidContactAction()
    {
        return isset($this->lidContactAction);
    }

    public function clearLidContactAction()
    {
        unset($this->lidContactAction);
    }

    




    public function setLidContactAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\LidContactAction::class);
        $this->lidContactAction = $var;

        return $this;
    }

    



    public function getCtwaPerCustomerDataSharingAction()
    {
        return $this->ctwaPerCustomerDataSharingAction;
    }

    public function hasCtwaPerCustomerDataSharingAction()
    {
        return isset($this->ctwaPerCustomerDataSharingAction);
    }

    public function clearCtwaPerCustomerDataSharingAction()
    {
        unset($this->ctwaPerCustomerDataSharingAction);
    }

    




    public function setCtwaPerCustomerDataSharingAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\CtwaPerCustomerDataSharingAction::class);
        $this->ctwaPerCustomerDataSharingAction = $var;

        return $this;
    }

    



    public function getPaymentTosAction()
    {
        return $this->paymentTosAction;
    }

    public function hasPaymentTosAction()
    {
        return isset($this->paymentTosAction);
    }

    public function clearPaymentTosAction()
    {
        unset($this->paymentTosAction);
    }

    




    public function setPaymentTosAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PaymentTosAction::class);
        $this->paymentTosAction = $var;

        return $this;
    }

    



    public function getPrivacySettingChannelsPersonalisedRecommendationAction()
    {
        return $this->privacySettingChannelsPersonalisedRecommendationAction;
    }

    public function hasPrivacySettingChannelsPersonalisedRecommendationAction()
    {
        return isset($this->privacySettingChannelsPersonalisedRecommendationAction);
    }

    public function clearPrivacySettingChannelsPersonalisedRecommendationAction()
    {
        unset($this->privacySettingChannelsPersonalisedRecommendationAction);
    }

    




    public function setPrivacySettingChannelsPersonalisedRecommendationAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PrivacySettingChannelsPersonalisedRecommendationAction::class);
        $this->privacySettingChannelsPersonalisedRecommendationAction = $var;

        return $this;
    }

    



    public function getBusinessBroadcastAssociationAction()
    {
        return $this->businessBroadcastAssociationAction;
    }

    public function hasBusinessBroadcastAssociationAction()
    {
        return isset($this->businessBroadcastAssociationAction);
    }

    public function clearBusinessBroadcastAssociationAction()
    {
        unset($this->businessBroadcastAssociationAction);
    }

    




    public function setBusinessBroadcastAssociationAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\BusinessBroadcastAssociationAction::class);
        $this->businessBroadcastAssociationAction = $var;

        return $this;
    }

    



    public function getDetectedOutcomesStatusAction()
    {
        return $this->detectedOutcomesStatusAction;
    }

    public function hasDetectedOutcomesStatusAction()
    {
        return isset($this->detectedOutcomesStatusAction);
    }

    public function clearDetectedOutcomesStatusAction()
    {
        unset($this->detectedOutcomesStatusAction);
    }

    




    public function setDetectedOutcomesStatusAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\DetectedOutcomesStatusAction::class);
        $this->detectedOutcomesStatusAction = $var;

        return $this;
    }

    



    public function getMaibaAiFeaturesControlAction()
    {
        return $this->maibaAiFeaturesControlAction;
    }

    public function hasMaibaAiFeaturesControlAction()
    {
        return isset($this->maibaAiFeaturesControlAction);
    }

    public function clearMaibaAiFeaturesControlAction()
    {
        unset($this->maibaAiFeaturesControlAction);
    }

    




    public function setMaibaAiFeaturesControlAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MaibaAIFeaturesControlAction::class);
        $this->maibaAiFeaturesControlAction = $var;

        return $this;
    }

    



    public function getBusinessBroadcastListAction()
    {
        return $this->businessBroadcastListAction;
    }

    public function hasBusinessBroadcastListAction()
    {
        return isset($this->businessBroadcastListAction);
    }

    public function clearBusinessBroadcastListAction()
    {
        unset($this->businessBroadcastListAction);
    }

    




    public function setBusinessBroadcastListAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\BusinessBroadcastListAction::class);
        $this->businessBroadcastListAction = $var;

        return $this;
    }

    



    public function getMusicUserIdAction()
    {
        return $this->musicUserIdAction;
    }

    public function hasMusicUserIdAction()
    {
        return isset($this->musicUserIdAction);
    }

    public function clearMusicUserIdAction()
    {
        unset($this->musicUserIdAction);
    }

    




    public function setMusicUserIdAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\MusicUserIdAction::class);
        $this->musicUserIdAction = $var;

        return $this;
    }

    



    public function getStatusPostOptInNotificationPreferencesAction()
    {
        return $this->statusPostOptInNotificationPreferencesAction;
    }

    public function hasStatusPostOptInNotificationPreferencesAction()
    {
        return isset($this->statusPostOptInNotificationPreferencesAction);
    }

    public function clearStatusPostOptInNotificationPreferencesAction()
    {
        unset($this->statusPostOptInNotificationPreferencesAction);
    }

    




    public function setStatusPostOptInNotificationPreferencesAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\StatusPostOptInNotificationPreferencesAction::class);
        $this->statusPostOptInNotificationPreferencesAction = $var;

        return $this;
    }

    



    public function getAvatarUpdatedAction()
    {
        return $this->avatarUpdatedAction;
    }

    public function hasAvatarUpdatedAction()
    {
        return isset($this->avatarUpdatedAction);
    }

    public function clearAvatarUpdatedAction()
    {
        unset($this->avatarUpdatedAction);
    }

    




    public function setAvatarUpdatedAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\AvatarUpdatedAction::class);
        $this->avatarUpdatedAction = $var;

        return $this;
    }

    



    public function getPrivateProcessingSettingAction()
    {
        return $this->privateProcessingSettingAction;
    }

    public function hasPrivateProcessingSettingAction()
    {
        return isset($this->privateProcessingSettingAction);
    }

    public function clearPrivateProcessingSettingAction()
    {
        unset($this->privateProcessingSettingAction);
    }

    




    public function setPrivateProcessingSettingAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\PrivateProcessingSettingAction::class);
        $this->privateProcessingSettingAction = $var;

        return $this;
    }

    



    public function getNewsletterSavedInterestsAction()
    {
        return $this->newsletterSavedInterestsAction;
    }

    public function hasNewsletterSavedInterestsAction()
    {
        return isset($this->newsletterSavedInterestsAction);
    }

    public function clearNewsletterSavedInterestsAction()
    {
        unset($this->newsletterSavedInterestsAction);
    }

    




    public function setNewsletterSavedInterestsAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\NewsletterSavedInterestsAction::class);
        $this->newsletterSavedInterestsAction = $var;

        return $this;
    }

    



    public function getAiThreadRenameAction()
    {
        return $this->aiThreadRenameAction;
    }

    public function hasAiThreadRenameAction()
    {
        return isset($this->aiThreadRenameAction);
    }

    public function clearAiThreadRenameAction()
    {
        unset($this->aiThreadRenameAction);
    }

    




    public function setAiThreadRenameAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\AiThreadRenameAction::class);
        $this->aiThreadRenameAction = $var;

        return $this;
    }

    



    public function getInteractiveMessageAction()
    {
        return $this->interactiveMessageAction;
    }

    public function hasInteractiveMessageAction()
    {
        return isset($this->interactiveMessageAction);
    }

    public function clearInteractiveMessageAction()
    {
        unset($this->interactiveMessageAction);
    }

    




    public function setInteractiveMessageAction($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue\InteractiveMessageAction::class);
        $this->interactiveMessageAction = $var;

        return $this;
    }

}

